Skip to main content
`Ctrl`+`K`

# numpy.matrix.squeeze

method

matrix.squeeze(axis=None)

  Return a possibly reshaped matrix.

  Refer to `numpy.squeeze` for more documentation.

  Parameters:
    axis None or int or tuple of ints, optional

      Selects a subset of the axes of length one in the shape. If an axis is selected with shape entry greater than one, an error is raised.

  Returns:
    squeezed matrix

      The matrix, but as a (1, N) matrix if it had shape (N, 1).

  See also

  `numpy.squeeze`

    related function

  Notes

  If m has a single column then that column is returned as the single row of a matrix. Otherwise m is returned. The returned matrix is always either m itself or a view into m. Supplying an axis keyword argument will not affect the returned matrix but it may cause an error to be raised.

  Examples

      >>> c = np.matrix([[1], [2]])
      >>> c
      matrix([[1],
              [2]])
      >>> c.squeeze()
      matrix([[1, 2]])
      >>> r = c.T
      >>> r
      matrix([[1, 2]])
      >>> r.squeeze()
      matrix([[1, 2]])
      >>> m = np.matrix([[1, 2], [3, 4]])
      >>> m.squeeze()
      matrix([[1, 2],
              [3, 4]])